/*
 * Copyright (c) 2002-2013 Oracle and/or its affiliates. All rights reserved.
 */

package javasoft.sqe.tests.javax.mail.internet.ParameterList;

import java.util.*;
import java.io.*;
import javax.mail.*;
import javax.mail.internet.*;
import com.sun.javatest.*;
import javasoft.sqe.tests.javax.mail.util.MailTest;

/**
 * This class tests the <strong>set()</strong> API.
 * It does by passing various valid input values and then checking
 * the type of the returned object.	<p>
 *
 * Set a parameter. <p>
 * api2test: public void set(String, String, String)  <p>
 *
 * how2test: Call API, then check for expected result in toString output.
 */

public class encoded_false_Test extends MailTest {

    public static void main( String argv[] )
    {
        encoded_false_Test test = new encoded_false_Test();
        Status s = test.run(argv, System.err, System.out);
	s.exit();
    }

    public Status run(String argv[], PrintWriter log, PrintWriter out)
    {
	super.run(argv, log, out);
	parseArgs(argv);	// parse command-line options

        try {

            // BEGIN UNIT TEST:
            out.println("\nTesting effect of encoding/decoding system " +
               "properties on ParameterList: set(String, String, String)\n");
            System.setProperty("mail.mime.encodeparameters", "false");
            System.setProperty("mail.mime.decodeparameters", "false");

            ParameterList parmlist = new ParameterList();
	    parmlist.set("test", "\u00a1", "iso-8859-1");
            String listvalue = parmlist.toString();
	    if (listvalue.indexOf("test*") < 0 &&
		    listvalue.indexOf("%A1") < 0)
                out.println("UNIT TEST 1 passed");
            else {
                out.println("UNIT TEST 1 FAILED");
                errors++;
            }

            // END UNIT TEST:

            // BEGIN UNIT TEST:
            out.println("\nTesting effect of encoding/decoding system " +
               "properties on ParameterList: get(String)\n");

            parmlist = new ParameterList("; test*=iso-8859-1''%A1");
	    if (parmlist.get("test") == null &&
		    parmlist.get("test*").equals("iso-8859-1''%A1"))
                out.println("UNIT TEST 2 passed");
            else {
                out.println("UNIT TEST 2 FAILED");
                errors++;
            }

            // END UNIT TEST:
            checkStatus();

        } catch ( Exception e ) {
	     handlException(e);
        }
	return status;
     }
}
